Create Sequence
POST /sequences
Create a new sequence with optional steps and channels.
Authorizations
Parameters
Header Parameters
Request Body required
object
object
Channel resource ID (mailbox ID, phone ID, etc.)
Channel type. One of: SMTP, GMAIL, INBOXKIT, PHONE, LINKEDIN, SMS, WHATSAPP. Case-insensitive.
Channel value (email address, phone number, etc.)
Stop contacting on reply
Sequence name
Send follow-ups in same email thread
object
Input type. One of: ON_DEMAND, MANUAL_TEMPLATE, AI_GENERATED_TEMPLATE. Case-insensitive aliases accepted (e.g. ‘template’ -> MANUAL_TEMPLATE, ‘ai’ -> AI_GENERATED_TEMPLATE).
Order of the step in the sequence (1-based)
Step type. One of: EMAIL, PHONE, SMS, WHATSAPP, HEYREACH, MANUAL_DIALER. Note: LinkedIn outreach uses HEYREACH (not LINKEDIN). Case-insensitive aliases accepted.
Delay in seconds after the previous step
Keep sequence waiting for new contacts
Responses
201
Successful Response
object
object
Whether there are more pages
Items per page
Current page number (1-indexed)
Total number of items
422
Validation Error